> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Memberships Grouped

> Get membership analytics with grouping support.

Returns all data in a single response with group summaries and grand totals.
When group_by is 'none', returns a single group containing all members.

Pagination:
- If pagination[pageSize] is provided, returns paginated rows per group
- If pagination[groupKey] and pagination[page] are also provided, returns
  just the rows for that specific page of that group



## OpenAPI

````yaml get /analytics/dashboards/memberships/grouped
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /analytics/dashboards/memberships/grouped:
    get:
      tags:
        - provider
        - analytics
        - analytics
      summary: Get Memberships Grouped
      description: >-
        Get membership analytics with grouping support.


        Returns all data in a single response with group summaries and grand
        totals.

        When group_by is 'none', returns a single group containing all members.


        Pagination:

        - If pagination[pageSize] is provided, returns paginated rows per group

        - If pagination[groupKey] and pagination[page] are also provided,
        returns
          just the rows for that specific page of that group
      operationId: get_memberships_grouped_analytics_dashboards_memberships_grouped_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: group_by
          in: query
          required: false
          schema:
            enum:
              - location
              - membership
              - status
              - soldByProvider
              - none
            type: string
            default: none
            title: Group By
        - name: location_ids
          in: query
          required: false
          schema:
            items:
              type: string
            type: array
            title: Location Ids
            default: []
        - name: membership_ids
          in: query
          required: false
          schema:
            items:
              type: string
            type: array
            title: Membership Ids
            default: []
        - name: member_statuses
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
            default: []
            title: Member Statuses
        - name: sold_by_provider_ids
          in: query
          required: false
          schema:
            items:
              type: string
            type: array
            title: Sold By Provider Ids
            default: []
        - name: pagination[pageSize]
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Pagination[Pagesize]
        - name: pagination[groupKey]
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Pagination[Groupkey]
        - name: pagination[page]
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Pagination[Page]
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Per Page
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort By
        - name: sort_direction
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                enum:
                  - asc
                  - desc
              - type: 'null'
            title: Sort Direction
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
        - name: patient_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Patient Name
        - name: created_date_start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created Date Start
        - name: created_date_end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created Date End
        - name: start_date_start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Start Date Start
        - name: start_date_end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Start Date End
        - name: next_billing_date_start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Next Billing Date Start
        - name: next_billing_date_end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Next Billing Date End
        - name: timezone
          in: query
          required: false
          schema:
            type: string
            default: UTC
            title: Timezone
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_get_memberships_grouped_analytics_dashboards_memberships_grouped_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/MembershipsGroupedResponse'
                  - $ref: '#/components/schemas/MembershipsPageResponse'
                title: >-
                  Response Get Memberships Grouped Analytics Dashboards
                  Memberships Grouped Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_get_memberships_grouped_analytics_dashboards_memberships_grouped_get:
      properties:
        membership_ids:
          items:
            type: string
          type: array
          title: Membership Ids
          default: []
        member_statuses:
          items:
            $ref: '#/components/schemas/MemberStatus'
          type: array
          title: Member Statuses
          default: []
        location_ids:
          items:
            type: string
          type: array
          title: Location Ids
          default: []
        sold_by_provider_ids:
          items:
            type: string
          type: array
          title: Sold By Provider Ids
          default: []
      type: object
      title: >-
        Body_get_memberships_grouped_analytics_dashboards_memberships_grouped_get
    MembershipsGroupedResponse:
      properties:
        groups:
          items:
            $ref: '#/components/schemas/MembershipsGroup'
          type: array
          title: Groups
        grandTotals:
          $ref: '#/components/schemas/MembershipsSummary'
        totalCount:
          type: integer
          title: Totalcount
      type: object
      required:
        - groups
        - grandTotals
        - totalCount
      title: MembershipsGroupedResponse
      description: Complete response from the memberships grouped endpoint.
    MembershipsPageResponse:
      properties:
        groupKey:
          type: string
          title: Groupkey
        rows:
          items:
            $ref: '#/components/schemas/MemberAnalyticsSummary'
          type: array
          title: Rows
        page:
          type: integer
          title: Page
        totalPages:
          type: integer
          title: Totalpages
      type: object
      required:
        - groupKey
        - rows
        - page
        - totalPages
      title: MembershipsPageResponse
      description: Response for a single page of a group (when paginating).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MemberStatus:
      type: string
      enum:
        - ACTIVE
        - EXPIRED
        - CANCELLED
        - DELINQUENT
        - FROZEN
        - INACTIVE
      title: MemberStatus
    MembershipsGroup:
      properties:
        key:
          type: string
          title: Key
        label:
          type: string
          title: Label
        count:
          type: integer
          title: Count
        summary:
          $ref: '#/components/schemas/MembershipsSummary'
        rows:
          items:
            $ref: '#/components/schemas/MemberAnalyticsSummary'
          type: array
          title: Rows
        totalPages:
          anyOf:
            - type: integer
            - type: 'null'
          title: Totalpages
      type: object
      required:
        - key
        - label
        - count
        - summary
        - rows
      title: MembershipsGroup
      description: A single group in the memberships response.
    MembershipsSummary:
      properties:
        memberCount:
          type: integer
          title: Membercount
          default: 0
        monthlyEquivalentRevenue:
          type: integer
          title: Monthlyequivalentrevenue
          default: 0
        activeCount:
          type: integer
          title: Activecount
          default: 0
        frozenCount:
          type: integer
          title: Frozencount
          default: 0
        cancelledCount:
          type: integer
          title: Cancelledcount
          default: 0
        delinquentCount:
          type: integer
          title: Delinquentcount
          default: 0
        expiredCount:
          type: integer
          title: Expiredcount
          default: 0
      type: object
      title: MembershipsSummary
      description: Aggregated summary for a group or grand totals.
    MemberAnalyticsSummary:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the member
        patientId:
          type: string
          title: Patientid
          description: ID of the patient
        membershipId:
          type: string
          title: Membershipid
          description: ID of the membership
        membership:
          $ref: >-
            #/components/schemas/decoda__schemas__inventory__membership__MembershipTiny
          description: Membership information
        soldByProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Soldbyproviderid
          description: ID of the provider who sold this membership
        startDate:
          type: string
          format: date-time
          title: Startdate
          description: When the patient joined the membership
        endDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Enddate
          description: When the membership ended (if applicable)
        nextBillingDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Nextbillingdate
          description: Next scheduled billing date (if custom)
        freezeDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Freezedate
          description: When the membership should be automatically frozen
        unfreezeDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Unfreezedate
          description: When the membership should be automatically unfrozen
        status:
          $ref: '#/components/schemas/MemberStatus'
          description: Current status of the membership
        autoRenew:
          type: boolean
          title: Autorenew
          description: Whether the membership auto-renews
        billingFrequency:
          $ref: '#/components/schemas/MembershipFrequency'
          description: Billing frequency for this member
        patient:
          $ref: '#/components/schemas/PatientSummaryWithLocation'
          description: Patient information with location
        charges:
          items:
            $ref: '#/components/schemas/ChargeTinyWebhook'
          type: array
          title: Charges
          description: Charges for this member
        soldByProvider:
          anyOf:
            - $ref: '#/components/schemas/ProviderCreator'
            - type: 'null'
          description: Provider who sold this membership
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
          description: When the member record was created
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: When the member record was last updated
        paymentMethod:
          anyOf:
            - $ref: '#/components/schemas/PaymentMethodSummary'
            - type: 'null'
          description: Payment method for this member
      type: object
      required:
        - id
        - patientId
        - membershipId
        - membership
        - startDate
        - status
        - autoRenew
        - billingFrequency
        - patient
        - charges
      title: MemberAnalyticsSummary
      description: >-
        Member summary specifically for analytics with location data eagerly
        loaded.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    decoda__schemas__inventory__membership__MembershipTiny:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the membership
        externalId:
          anyOf:
            - type: string
            - type: 'null'
          title: Externalid
          description: External system identifier for the membership
        name:
          type: string
          title: Name
          description: Name of the membership
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Optional description of the membership
        price:
          type: integer
          title: Price
          description: Price of the membership in cents
        globalDiscountPercentage:
          anyOf:
            - type: number
            - type: 'null'
          title: Globaldiscountpercentage
          description: Global discount percentage for all items
          default: 0
        patientCreditAmount:
          type: integer
          title: Patientcreditamount
          description: Amount of patient credit in cents
          default: 0
        patientCreditFrequency:
          $ref: '#/components/schemas/MembershipFrequency'
          description: Frequency of patient credit
          default: MONTHLY
        patientCreditExpiryDays:
          anyOf:
            - type: integer
            - type: 'null'
          title: Patientcreditexpirydays
          description: Days until patient credit expires
        maxRenewals:
          anyOf:
            - type: integer
            - type: 'null'
          title: Maxrenewals
          description: Maximum number of renewals (null means unlimited)
          default: 0
        autoRenew:
          type: boolean
          title: Autorenew
          description: Whether the membership auto-renews
          default: true
        setupFee:
          type: integer
          title: Setupfee
          description: Setup fee for the membership in cents
          default: 0
        freezeFee:
          type: integer
          title: Freezefee
          description: Fee to freeze the membership in cents
          default: 0
        minimumBillingCycles:
          type: integer
          title: Minimumbillingcycles
          description: Minimum number of billing cycles required
          default: 0
        billingFrequency:
          $ref: '#/components/schemas/MembershipFrequency'
          description: Billing frequency for the membership
          default: MONTHLY
        textColor:
          anyOf:
            - type: string
            - type: 'null'
          title: Textcolor
          description: Text color for the membership
        isArchived:
          type: boolean
          title: Isarchived
          description: Whether the membership is archived
          default: false
        ruleSetId:
          anyOf:
            - type: string
            - type: 'null'
          title: Rulesetid
          description: ID of the rule set for the membership
        merchantAccountId:
          anyOf:
            - type: string
            - type: 'null'
          title: Merchantaccountid
          description: Bank account (merchant account) that membership deposits go to
        feeSchedule:
          anyOf:
            - items:
                $ref: '#/components/schemas/MembershipFeeScheduleEntry'
              type: array
            - type: 'null'
          title: Feeschedule
          description: Cycle-specific price overrides
      type: object
      required:
        - name
        - price
      title: MembershipTiny
    MembershipFrequency:
      type: string
      enum:
        - DAILY
        - WEEKLY
        - BIWEEKLY
        - MONTHLY
        - QUARTERLY
        - SEMI_ANNUALLY
        - YEARLY
      title: MembershipFrequency
    PatientSummaryWithLocation:
      properties:
        id:
          type: string
          title: Id
          description: The unique identifier for the user.
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
          description: The user's first name.
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
          description: The user's last name.
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
          description: The user's phone number.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: The user's email address.
        type:
          $ref: '#/components/schemas/UserType'
          description: The type of user.
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
          description: The location of the user.
        externalId:
          anyOf:
            - type: string
            - type: 'null'
          title: Externalid
          description: The user's external identifier if available.
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
          description: The user's primary address.
        addressLineTwo:
          anyOf:
            - type: string
            - type: 'null'
          title: Addresslinetwo
          description: Additional address information.
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: The city of the user's address.
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
          description: The state of the user's address.
        zipCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Zipcode
          description: The postal code of the user's address.
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: The country of the user's address.
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: The date and time when the user was created.
        addressValid:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Addressvalid
          description: Whether the user's address is valid.
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
          description: Any additional metadata about the user relevant to your system.
        isArchived:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isarchived
          description: Whether the user is archived.
        primaryLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Primarylocationid
          description: The primary location of the user.
        gender:
          anyOf:
            - type: string
            - type: 'null'
          title: Gender
          description: The gender of the patient.
        pronouns:
          anyOf:
            - type: string
            - type: 'null'
          title: Pronouns
          description: The patient's pronouns (e.g., 'he/him', 'she/her', 'they/them').
        preferredName:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Preferredname
          description: The patient's preferred name or nickname.
        dateOfBirth:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Dateofbirth
          description: The date of birth of the patient.
        patientMedications:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Patientmedications
          description: List of patient's self-reported medications.
        patientSource:
          anyOf:
            - $ref: '#/components/schemas/PatientSource'
            - type: 'null'
          description: The source of the patient.
        leadSource:
          anyOf:
            - type: string
            - type: 'null'
          title: Leadsource
          description: Flexible lead source for tracking patient acquisition.
        onSchedulingBlacklist:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Onschedulingblacklist
          description: Whether the patient is on the scheduling blacklist.
        surchargeDisabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Surchargedisabled
          description: Whether surcharges are disabled for this patient.
        tags:
          anyOf:
            - items:
                $ref: '#/components/schemas/PatientTagSummary'
              type: array
            - type: 'null'
          title: Tags
          description: List of patient tags
        creditBalance:
          anyOf:
            - type: integer
            - type: 'null'
          title: Creditbalance
          description: Patient's credit balance in cents.
        preferredProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Preferredproviderid
          description: The preferred provider ID for this patient.
        dosespotPatientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Dosespotpatientid
          description: DoseSpot Patient ID for e-prescribing integration
        primaryLocation:
          anyOf:
            - $ref: '#/components/schemas/LocationTinyWithName'
            - type: 'null'
          description: Primary location of the patient
      type: object
      required:
        - id
        - type
        - createdDate
      title: PatientSummaryWithLocation
      description: Patient summary with primary location details for analytics.
    ChargeTinyWebhook:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the charge.
        patientId:
          type: string
          title: Patientid
          description: Identifier of the patient being charged.
      type: object
      required:
        - id
        - patientId
      title: ChargeTinyWebhook
      description: >-
        An extremely lightweight version of the Charge model, used for payment
        link Rainforest webhooks.
    ProviderCreator:
      properties:
        id:
          type: string
          title: Id
        firstName:
          type: string
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
      type: object
      required:
        - id
        - firstName
      title: ProviderCreator
    PaymentMethodSummary:
      properties:
        id:
          type: string
          title: Id
        patientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Patientid
        rainforestPaymentMethodId:
          anyOf:
            - type: string
            - type: 'null'
          title: Rainforestpaymentmethodid
        brand:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand
        last4:
          anyOf:
            - type: string
            - type: 'null'
          title: Last4
        expMonth:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expmonth
        expYear:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expyear
        accountHolderType:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountholdertype
        accountNumberLast4:
          anyOf:
            - type: integer
            - type: 'null'
          title: Accountnumberlast4
        bankName:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankname
        routingNumber:
          anyOf:
            - type: integer
            - type: 'null'
          title: Routingnumber
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        type:
          anyOf:
            - $ref: '#/components/schemas/PaymentMethodType'
            - type: 'null'
        isDefault:
          type: boolean
          title: Isdefault
          default: false
        isArchived:
          type: boolean
          title: Isarchived
          default: false
        availableMerchantIds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Availablemerchantids
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
      type: object
      required:
        - id
        - patientId
        - rainforestPaymentMethodId
        - brand
        - last4
        - expMonth
        - expYear
        - accountHolderType
        - accountNumberLast4
        - bankName
        - routingNumber
        - description
        - type
      title: PaymentMethodSummary
    MembershipFeeScheduleEntry:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the fee schedule entry
        membershipId:
          type: string
          title: Membershipid
          description: ID of the membership
          default: ''
        cycleNumber:
          type: integer
          minimum: 1
          title: Cyclenumber
          description: Billing cycle number (1-indexed)
        price:
          type: integer
          minimum: 0
          title: Price
          description: Price in cents for this cycle
      type: object
      required:
        - cycleNumber
        - price
      title: MembershipFeeScheduleEntry
    UserType:
      type: string
      enum:
        - PROVIDER
        - PATIENT
        - ASSISTANT
      title: UserType
    PatientSource:
      type: string
      enum:
        - SELF_SCHEDULING
        - CALL
        - TEXT
        - MANUALLY_CREATED
        - UPLOADED_FROM_FILE
        - FORM
        - SEED_DATA
        - DEMO
        - EXTERNAL_INTEGRATION
        - OTHER
      title: PatientSource
    PatientTagSummary:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the patient tag
        name:
          type: string
          title: Name
          description: Name of the patient tag
        emoji:
          anyOf:
            - type: string
            - type: 'null'
          title: Emoji
          description: Emoji associated with the tag
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
          description: Color code for the tag (hex format)
        isActive:
          type: boolean
          title: Isactive
          description: Whether the tag is active
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: Date and time when the tag was created
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: Date and time when the tag was last updated
      type: object
      required:
        - id
        - name
        - isActive
        - createdDate
      title: PatientTagSummary
    LocationTinyWithName:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        isVirtual:
          type: boolean
          title: Isvirtual
      type: object
      required:
        - id
        - name
        - isVirtual
      title: LocationTinyWithName
      description: >-
        Location with name for analytics - avoids requiring eager loading
        everywhere.
    PaymentMethodType:
      type: string
      enum:
        - CARD
        - ACH
        - APPLE_PAY
      title: PaymentMethodType

````